Bug 1294717 - Review Request: python3-PyYAML - YAML parser and emitter for Python
Review Request: python3-PyYAML - YAML parser and emitter for Python
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: Package Review (Show other bugs)
epel7
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Denis Fateyev
Fedora Extras Quality Assurance
:
Depends On: 1294704
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-29 18:58 EST by Orion Poplawski
Modified: 2016-02-01 17:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-01 17:55:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
denis: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2015-12-29 18:58:41 EST
Spec URL: http://www.cora.nwra.com/~orion/fedora/python3-PyYAML.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/python3-PyYAML-3.11-1.el7.src.rpm

Description: 
YAML is a data serialization format designed for human readability and
interaction with scripting languages.  PyYAML is a YAML parser and
emitter for Python.

PyYAML features a complete YAML 1.1 parser, Unicode support, pickle
support, capable extension API, and sensible error messages.  PyYAML
supports standard YAML tags and provides Python-specific tags that
allow to represent an arbitrary Python object.

PyYAML is applicable for a broad range of tasks from complex
configuration files to object serialization and persistance.

Fedora Account System Username: orion
Comment 1 Orion Poplawski 2015-12-30 13:29:00 EST
Copr: https://copr.fedoraproject.org/coprs/g/python/python3_epel7/
Comment 2 Denis Fateyev 2016-01-13 15:13:59 EST
> # regenerate ext/_yaml.c with python2/Cython
> CFLAGS="${RPM_OPT_FLAGS}" %{__python2} setup.py --with-libyaml build_ext
> CFLAGS="${RPM_OPT_FLAGS}" %{__python3} setup.py --with-libyaml build

But python2 isn't installed.
The line "%global with_python3 1" is superfluous; the spec needs some update.
Comment 3 Orion Poplawski 2016-01-13 15:24:01 EST
(In reply to Denis Fateyev from comment #2)
> > # regenerate ext/_yaml.c with python2/Cython
> > CFLAGS="${RPM_OPT_FLAGS}" %{__python2} setup.py --with-libyaml build_ext
> > CFLAGS="${RPM_OPT_FLAGS}" %{__python3} setup.py --with-libyaml build
> 
> But python2 isn't installed.

Yes it is:

BuildRequires:  python2-devel

> The line "%global with_python3 1" is superfluous; the spec needs some update.

Removed.  What else?
Comment 4 Denis Fateyev 2016-01-14 10:21:44 EST
Well, just cosmetic changes:
1) Please remove Group tag;
2) Better mention Python version in subpackage descriptions, as with other packages;
3) PKG-INFO has no use there and can be omitted.
Please also provide updated spec and srpm package.
Comment 5 Orion Poplawski 2016-01-14 11:36:49 EST
Spec URL: http://www.cora.nwra.com/~orion/fedora/python3-PyYAML.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/python3-PyYAML-3.11-1.el7.src.rpm

* Thu Jan 14 2016 Orion Poplawski <orion@cora.nwra.com> - 3.11-2
- Clean up spec, mention python version
Comment 6 Denis Fateyev 2016-01-14 15:33:00 EST
Assuming http://www.cora.nwra.com/~orion/fedora/python3-PyYAML-3.11-2.el7.src.rpm as SRPM file.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 80 files have
     unknown license. Detailed output of licensecheck in
     /home/mock/sandbox/review/python3-PyYAML/licensecheck.txt
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib64/python3.4/site-
     packages/yaml/__pycache__(python3-PyYAML), /usr/lib64/python3.4/site-
     packages/yaml(python3-PyYAML)
Note: not related to epel7.

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 51200 bytes in 6 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.


Rpmlint
-------
Checking: python3-PyYAML-debuginfo-3.11-2.el7.centos.x86_64.rpm
          python3-PyYAML-3.11-2.el7.centos.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.


Rpmlint (debuginfo)
-------------------
Checking: python3-PyYAML-debuginfo-3.11-2.el7.centos.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


Rpmlint (installed packages)
----------------------------
python3-PyYAML-debuginfo.x86_64: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


Separate "python34-PyYAML-3.11-2.el7.centos.x86_64.rpm" checks:
----------------------------------
rpmlint:

python34-PyYAML.x86_64: E: non-standard-executable-perm /usr/lib64/python3.4/site-packages/_yaml.cpython-34m.so 775
1 packages and 0 specfiles checked; 1 errors, 0 warnings.

$ rpm -qp --requires python34-PyYAML-3.11-2.el7.centos.x86_64.rpm | sort | uniq -c
      1 libc.so.6()(64bit)
      1 libc.so.6(GLIBC_2.14)(64bit)
      1 libc.so.6(GLIBC_2.2.5)(64bit)
      1 libc.so.6(GLIBC_2.4)(64bit)
      1 libpthread.so.0()(64bit)
      1 libpython3.4m.so.1.0()(64bit)
      1 libyaml-0.so.2()(64bit)
      1 python(abi) = 3.4
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PartialHardlinkSets) <= 4.0.4-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      1 rtld(GNU_HASH)

$ rpm -qp --provides python34-PyYAML-3.11-2.el7.centos.x86_64.rpm | sort | uniq -c
      1 python34-PyYAML = 3.11-2.el7.centos
      1 python34-PyYAML(x86-64) = 3.11-2.el7.centos
      1 python34-yaml = 3.11-2.el7.centos
      1 python34-yaml(x86-64) = 3.11-2.el7.centos


Source checksums
----------------
http://pyyaml.org/download/pyyaml/PyYAML-3.11.tar.gz :
  CHECKSUM(SHA256) this package     : c36c938a872e5ff494938b33b14aaa156cb439ec67548fcab3535bb78b0846e8
  CHECKSUM(SHA256) upstream package : c36c938a872e5ff494938b33b14aaa156cb439ec67548fcab3535bb78b0846e8


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review --rpm-spec -n python3-PyYAML-3.11-2.el7.src.rpm -m epel-7-x86_64
Buildroot used: epel-7-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


Remarks:
--------
Package approved.
Comment 7 Gwyn Ciesla 2016-01-15 09:25:55 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python3-PyYAML
Comment 8 Fedora Update System 2016-01-15 10:37:20 EST
python3-PyYAML-3.11-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-33336b22da
Comment 9 Fedora Update System 2016-01-16 14:21:47 EST
python3-PyYAML-3.11-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-33336b22da
Comment 10 Fedora Update System 2016-02-01 17:55:14 EST
python3-PyYAML-3.11-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.